OnlyFans API
FanslyChats

Send Chat Message

Send a new text message to a chat (messaging group).

POST
/api/fansly/{fanslyAccount}/chats/{chat_id}/messages
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

chat_id*string

The Fansly chat (group) ID.

Request Body

application/json

text*string

The message text content.

replyToMessageId?string

Mark this message as a reply to another message in the chat (either yours or the recipient's).

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/chats/918197836133183488/messages" \  -H "Content-Type: application/json" \  -d '{    "text": "Hey there!"  }'
{
  "data": {
    "type": 1,
    "attachments": [],
    "content": "Hey there!",
    "groupId": "200000000000000001",
    "senderId": "100000000000000001",
    "inReplyTo": "",
    "interactions": [
      {
        "groupId": "200000000000000001",
        "userId": "300000000000000001",
        "readAt": 0,
        "deliveredAt": 0
      }
    ],
    "id": "400000000000000010",
    "createdAt": 1700000000.123
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055811,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}